variables:
  IMAGE_NAME: mohammadathar/scraper
stages:
  - build
  - deploy
build_image:
  stage: build
  image: docker:latest
  services:
    - docker:dind
  variables:
    DOCKER_TLS_CERTDIR: /certs
  before_script:
    - echo "$REGISTRY_PASS" | docker login -u "$REGISTRY_USER" --password-stdin
  script:
    - docker build -t $IMAGE_NAME . 
    - if [[ "$CI_COMMIT_BRANCH" == "main" ]]; then
        TAG="master";
      else
        TAG=$(echo "$CI_MERGE_REQUEST_SOURCE_BRANCH_NAME" | sed 's/^\///;s/\//_/g');
      fi
    - docker tag $IMAGE_NAME $IMAGE_NAME:$TAG
    - docker push $IMAGE_NAME:$TAG
  only:
      - merge_requests
      - main
      - $CI_COMMIT_TAG =~ /^v\d+.\d+.\d+-dev$/
